petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscSubcommCreate

Create a PetscSubcomm context.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscSubcommCreate(MPI_Comm comm,PetscSubcomm *psubcomm)

Collective on MPI_Comm

### Input Parameter

comm -MPI communicator

### Output Parameter

psubcomm -location to store the PetscSubcomm context

### Keywords

communicator, create

### See Also

PetscSubcommDestroy()

### Level

advanced

### Location

src/sys/objects/subcomm.c

### Examples

src/sys/examples/tutorials/ex15.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages